import Home from '../views/Home/Home.vue'
/* 设备管理 */
import DeviceType from '../views/deviceManagement/DeviceType.vue'
import DeviceInfo from '../views/deviceManagement/DeviceInfo.vue'
import CameraManagement from '../views/deviceManagement/CameraManagement.vue'
import SubDeviceAdmin from '../views/deviceManagement/SubDeviceAdmin.vue'
/* 区域管理 */
import AreaInfo from '../views/areaManagement/AreaInfo.vue'
/* 消息管理 */
import MessageBind from '../views/messageManagement/MessageBind.vue'
import MessagePoint from '../views/messageManagement/MessagePoint.vue'
import MessageServicMer from '../views/messageManagement/MessageServicMer.vue'
import MessageTemplate from '../views/messageManagement/MessageTemplate.vue'
/* 树目录结构 */
import TreeManagement from '../views/treeStructure/TreeManagement.vue'
/**
 * 系统配置
 */
import sysConfigManage from '../views/systemConfig/ConfigManage'

/* 模板 */
import Aa from '../views/template/Aa.vue'
import Ab from '../views/template/Ab.vue'
import Ac from '../views/template/Ac.vue'
import Ad from '../views/template/Ad.vue'
import Ae from '../views/template/Ae.vue'
import Af from '../views/template/Af.vue'


export default [
  {
    path: '/about',
    name: 'about',
    component: () => import(/* webpackChunkName: "about" */ '../views/About.vue')
  },
  {
		path: '/home',
		component: Home,
		children: [
			// 设备管理
			{
				path: '/deviceType',
				name: 'deviceType',
				component: DeviceType
			},
			{
				path: '/deviceInfo',
				name: 'deviceInfo',
				component: DeviceInfo
			},
			{
				path: '/cameraManagement',
				name: 'cameraManagement',
				component: CameraManagement
			},
			{
				path: '/subDeviceAdmin',
				name: 'subDeviceAdmin',
				component: SubDeviceAdmin
			},
			
			// 区域管理
			{
				path: '/areaInfo',
				name: 'areaInfo',
				component: AreaInfo
			},
			// 消息管理
			{
				path: '/messageBind',
				name: 'messageBind',
				component: MessageBind
			},
			{
				path: '/messagePoint',
				name: 'messagePoint',
				component: MessagePoint
			},
			{
				path: '/messageServicMer',
				name: 'messageServicMer',
				component: MessageServicMer
			},
			{
				path: '/messageTemplate',
				name: 'messageTemplate',
				component: MessageTemplate
			},
			// 树目录结构 
			{
				path: '/treeManagement',
				name: 'treeManagement',
				component: TreeManagement
			},
			{
				path: '/sysConfigManage',
				name: 'sysConfigManage',
				component: sysConfigManage
			},
			// 模板
			{
				path: '/aa',
				name: 'aa',
				component: Aa
			},
			{
				path: '/ab',
				name: 'ab',
				component: Ab
			},
			{
				path: '/ac',
				name: 'ac',
				component: Ac
			},
			{
				path: '/ad',
				name: 'ad',
				component: Ad
			},
			{
				path: '/ae',
				name: 'ae',
				component: Ae
			},
			{
				path: '/af',
				name: 'af',
				component: Af
			}

		]
	},
]
